<template>
  <div>
    <div class="mt-2 mb-2">
      <el-input
        placeholder="Search By First Name or Last Name"
        v-model="input"
        @input="handleUsersList"
        clearable>
      </el-input>
    </div>
    <div class="mb-2">
      <el-radio-group
        v-model="radio"
        @change="handleUsersGender"
      >
        <el-radio label="" border>All</el-radio>
        <el-radio label="male" border>Male</el-radio>
        <el-radio label="female" border>Female</el-radio>
      </el-radio-group>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'SearchComponent',
    data () {
      return {
        input: '',
        radio: ''
      }
    },
    methods: {
      handleUsersList (val) {
        let req = val.toLowerCase()
        this.$store.commit('users/searchByString', req)
      },
      handleUsersGender (val) {
        this.$store.commit('users/searchByGender', val)
      }
    }
  }
</script>


<style scoped>

</style>
